Bug 2240114 (CVE-2023-43618)

Summary: CVE-2023-43618 croc: rotocol requires a sender to provide its local IP addresses in cleartext
Product: [Other] Security Response Reporter: Zack Miele <zmiele>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-03-22 15:28:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2240120    
Bug Blocks: 2240124    

Description Zack Miele 2023-09-21 20:38:15 UTC
An issue was discovered in Croc through 9.6.5. The protocol requires a sender to provide its local IP addresses in cleartext via an ips? message.

https://www.openwall.com/lists/oss-security/2023/09/08/2
https://github.com/schollz/croc/issues/597

Comment 1 Zack Miele 2023-09-21 20:45:59 UTC
Created golang-github-schollz-croc tracking bugs for this issue:

Affects: fedora-all [bug 2240120]

Comment 2 Zack Miele 2024-03-22 15:28:56 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.